StableOps
API reference

Retrieve a payment approval

GET/v1/agent-payments/approvals/{approvalId}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/agent-payments/approvals/{approvalId}"
{
  "id": "string",
  "intent_id": "string",
  "agent_id": "string",
  "agent_name": "string",
  "agent_wallet_id": "string",
  "wallet_address": "string",
  "status": "pending",
  "origin": "string",
  "pay_to": "string",
  "network": "string",
  "asset_contract": "string",
  "max_amount_atomic": "string",
  "asset_decimals": 1,
  "expires_at": "2019-08-24T14:15:22Z",
  "decided_by": "string",
  "decided_at": "2019-08-24T14:15:22Z",
  "decision_reason": "string",
  "created_at": "2019-08-24T14:15:22Z"
}
Empty

How is this guide?

Last updated